Summary: General Ledger API for BMS accounting
Name: bmsi-gl
Version: 0.8
Release: 1%{dist}
License: Proprietary
Group: Applications/Accounting
Source: bmsi-gl-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
Vendor: Stuart D. Gathman <stuart@bmsi.com>
Packager: Stuart D. Gathman <stuart@bmsi.com>
BuildArch: noarch
# Need changes to ReportLine in bmsi-util-1.4 for GLTrialBal
Requires: bmsi-db >= 1.0, bmsi-util >= 1.4, bmsi-edx
BuildRequires: bmsi-db >= 1.0, bmsi-util >= 1.4, bmsi-edx
BuildRequires: bmsi-bms, bmsi-ap, bmsi-ar
BuildRequires: java-devel, junit

%description
This package manages General Ledger transactions in a format that
is independent of any journal.  It also provides the General Journal,
and a flexible Ledger Summary report application.

%prep
%setup -q

%build
mkdir classes
javac -cp '/bms/java:/usr/lib/java/*:/usr/share/java/*:/usr/share/java/javamail/*' -d $PWD/classes *.java

%install
mkdir -p $RPM_BUILD_ROOT/bms/java
cp -r classes/* $RPM_BUILD_ROOT/bms/java
cp -rp res $RPM_BUILD_ROOT/bms/java/bmsi/gl

%files
%defattr(0664,bin,bms,0775)
/bms/java/bmsi/gl

%changelog
* Fri Mar 29 2019 Stuart Gathman <stuart@gathman.org> 0.8-1
- New CCScope cli features
- CuaptSS - sales analysis spreadsheet (dmm)
- improved test cases
- build in mock

* Wed May 04 2011 Stuart Gathman <stuart@bmsi.com> 0.7-1
- Fix CCScope.getRange() and add test cases.
- add standard scopes resource and add when creating SCOPE file
- more command line tools for CCScope
- department restriction by user for RGPrint

* Fri Jun 04 2010 Stuart Gathman <stuart@bmsi.com> 0.6-1
- Rename AcctSum to CCLdgrAcctSum and remove CCLdgrAcctSummary (dup)
- Add rebuild option on Check
- Change search order for dynamic ledger summary selection
- Alpha version of GLLdgrIq and GLPftLossIQ

* Fri May 07 2010 Stuart Gathman <stuart@bmsi.com> 0.5-1
- Update JournalConstants
- Profit/detail inquiry programs (dmm)
- Remove jgl dependency

* Mon Aug 04 2003 Stuart Gathman <stuart@bmsi.com>
- output format for RGPrint
